#pragma once
#include "Type/types.hpp"
#include <PSX/GPU/gpu_auto_load_font.hpp>

namespace JabyEngine {
    struct DefaultFont {
        static constexpr auto Info = FontInfo::create(Make::SizeU16(64, 80), Make::SizeU8(12, 16));

        static void load(uint32_t* work_area, SimpleTIM vram_dst);
    };

    struct BIOSFont {
        static constexpr auto Info = FontInfo::create(Make::SizeU16(64, 96), Make::SizeU8(16, 16), Make::SizeU8(12, 16));
        static constexpr auto TIM  = SimpleTIM::create(JabyEngine::GPU::BIOS_Font::TextureLoadPos.x, JabyEngine::GPU::BIOS_Font::TextureLoadPos.y, JabyEngine::GPU::BIOS_Font::CLUTLoadPos.x, JabyEngine::GPU::BIOS_Font::CLUTLoadPos.y);
    };
}